$("#kardex").click(function() {

    $('#tkardex').modal('show');
    $('#tablakardex tr').remove();





});
var  turnoimpr="";

// funcion buscar movimineto kardex
$("#buskardepr").click(function() {
    $('#tablakardex tr').remove();
    var id = $("#buspkarde").val();
    var fecha1 = $("#fechak1").val();
    var fecha2 = $("#fechak2").val();
    let bodega = document.getElementById("idbodegas").value;

    $.ajax({
        data: { "id": id, "fecha1": fecha1, "fecha2": fecha2,"bodega":bodega }, //datos que se envian a traves de ajax
        url: "../controlador/config/admin.php", //archivo que recibe la peticion
        type: 'post', //método de envio

        // beforeSend: function () {
        //    alert("Procesando, espere por favor...");
        // },
        success: function(response) { //una vez que el archivo recibe el request lo procesa y lo devuelve
            //$("#resultado").html(response);
            //  console.log(response);

            var respuest = JSON.parse(response);

            $.each(respuest, function(index, respuesta) {
                var codigo = respuesta["producto"];
                var Nombre = respuesta["nombre"];
                var tipo = respuesta["tipo"];
                var numeromovi = respuesta["numero"];
                var caja = respuesta["caja"];
                var frcc = respuesta["frcc"];
                var invenr = respuesta["inventarioo"];
                var invefrcc = respuesta["inventFrcc"];
                var cliente = respuesta["cliente"];
                var fecha = respuesta["fecha"];
                let valorcaja = respuesta["valoUnitcaja"];
                let valorfrcc = respuesta["valorUnifrcc"];
                let bodegak=respuesta["idbodegaK"];
                let user=respuesta["usuariok"];
                let detalle=respuesta["detalle"];

                // if(tipo !="Retirado_Traslado"){
                $("#tablakardex").append("<tr><th >" + codigo + " </th><th >" + Nombre + " </th><th >" + tipo + " </th><th >" + numeromovi +
                    " </th> <th >" + caja + " </th><th >" + frcc + " </th><th >" + invenr + " </th><th >" + invefrcc + " </th><th >" + cliente +
                    " </th> <th >" + fecha + " </th> <th >" + valorcaja + " </th><th >" + valorfrcc + " </th> <th >" + bodegak + " </th><th >" + user + " </th><th >" + detalle + " </th>")
               // }
            });
        }

    });

});



$("#cartecliente").click(function() {
        $('#carterac').modal('show');
        $(".clic").attr("disabled", "disabled");
        $(".c").val("");
    })
    //buscar por boton cliente

$("#buscarclien").click(function() {
    var idc = $("#ceduclienc").val();

    buscarc(idc);
});

//funcion buscar cliente por cedula modal cartera


function buscarc(id) {

    $("#ceducli").val("");
    $("#nombreclic").val("");
    $("#apellclic").val("");
    $("#dirclic").val("");
    $("#tleclic").val("");
    $("#crclic").val("");
    $("#valoclic").val("");
    $("#crcorreo").val("");
    $("#dciudades").val("");
    $("#cupo").val("");
    $("#politicaDto").val("");
    


    $.ajax({
        data: { "idclien": id }, //datos que se envian a traves de ajax
        url: "../controlador/config/admin.php", //archivo que recibe la peticion
        type: 'post', //método de envio

        // beforeSend: function () {
        //    alert("Procesando, espere por favor...");
        // },
        success: function(respo) {
            console.log(respo)

             let datos=JSON.parse(respo);
            
            let respuesta=datos.cliente
            

           
            // var respuesta = JSON.parse(response);
            var idclin = (respuesta["cedula"]);
            var cliente = (respuesta["Nombre"]);
            var dorec = (respuesta["direccion"]);
            var apellido = (respuesta["apellido"]);
            var activocre = (respuesta["credicto"]);
            var valorcr = (respuesta["credValor"]);
            var telef = (respuesta["telefono"]);
            let correo = (respuesta["correo"]);
            let regimen = (respuesta["regimen"]);
            let naturaleza = (respuesta["naturaleza"]);
            let digitVer = (respuesta["dv"]);
            let tipoidentif = (respuesta["tipoId"]);
            let responsabilidad = (respuesta["responsabilidad"]);
            let ciudad = (respuesta["codigociudad"]);
            let cupo=respuesta["cupo"];
            let Editartipocliente=respuesta["otros"];
            let listaPrecio=respuesta["listaprecio_defec"];
            let alias=respuesta["Alias"];

            $("#ceducli").val(idclin);
            $("#nombreclic").val(cliente);
            $("#apellclic").val(apellido);
            $("#dirclic").val(dorec);
            $("#tleclic").val(telef);
            $("#crclic").val(activocre);
            $("#valoclic").val(valorcr);
            $("#crcorreo").val(correo);
            $("#idetipoidentificacionh").val(tipoidentif);
            $("#dvverifi").val(digitVer);
            $("#ediNaturaleza").val(naturaleza);
            $("#ediregimen").val(regimen);
            $("#ediresponsabilidades").val(responsabilidad);
            $("#dciudades").val(ciudad);
            $("#cupo").val(cupo);
            $("#politicaDto").val(respuesta["dtoclie"]);
            $("#Editartipocliente").val(Editartipocliente);
            $("#aliasClie").val(alias);



            console.log(listaPrecio)
            if(listaPrecio=="sistema"){
                $("#listaPreC").val("lista1");
            }else{
                $("#listaPreC").val(listaPrecio);
            }
           
            let sucursales=datos.sucursales

let dSucursa=[];

            sucursales.forEach(v=>{

                let x=`
                   <tr> 
                   <th scope="row">${v.id }</th>
                    <th >${v.otrDato1}</th>
                    <td>${v.direcionSc}</td>
                    <td>${v.TelSuc}</td>

                    <td><input type="button" value="Eliminar" onclick="elminiarSucu(${v.id})" id="eliminarSucuar" class="btn btn-danger "></td>
                
                </tr>
    `
    
                dSucursa.push(x)

            })


            document.getElementById("tabalSurcursa").innerHTML=dSucursa.join("");
            


        }

    });

}
//funcion selecionar cliente modal cartera
$("#provedorm").on("dblclick", "tr", function() {

if(tipoDmunoClinete==1)
{
    var id = $(this).find(':first-child').text();
    $('#carterac').modal('show');
    $("#ceduclienc").val(id);
    $("#buscarclien").click();
    $(".clic").attr("disabled", "disabled");
}

});




//funcion etitar clientes

$("#editaclintec").click(function() {

    $(".clic").removeAttr("disabled");


});


//funcion actulizar cliente


$("#guarclintec").click(function() {
    var cedula = $("#ceducli").val();
    var nombre = $("#nombreclic").val();
    var apellido = $("#apellclic").val();
    var dire = $("#dirclic").val();
    var activo = $("#crclic").val();
    var telef = $("#tleclic").val();
    let correo = $("#crcorreo").val();
    let tipoidentifi = $("#idetipoidentificacionh").val();
    let digitoverifi = $("#dvverifi").val();
    let naturaleza = $("#ediNaturaleza").val();
    let regimen = $("#ediregimen").val();
    let responsabilidad = $("#ediresponsabilidades").val();
    let ciudadC = $("#dciudades").val();
    let politicaDto= $("#politicaDto").val();
   let cupo= $("#cupo").val();
   let Editartipocliente=$("#Editartipocliente").val();
   let listaPreC=$("#listaPreC").val();
   let aliasC=  $("#aliasClie").val();
    $.ajax({
        data: {
            "cedula": cedula,
            "nombre": nombre,
            "apellido": apellido,
            "dire": dire,
            "telef": telef,
            "activo": activo,
            "correo": correo,
            "tipoidentifi": tipoidentifi,
            "digitoverifi": digitoverifi,
            "naturaleza": naturaleza,
            "regimen": regimen,
            "responsabilidades": responsabilidad,
            "dciudadC": ciudadC,
            "cupo":cupo,
            "politicaDto":politicaDto,
            "Editartipocliente":Editartipocliente,
            "listaPreC":listaPreC,
            "alias":aliasC

        }, //datos que se envian a traves de ajax
        url: "../controlador/config/admin.php", //archivo que recibe la peticion
        type: 'post', //método de envio

        // beforeSend: function () {
        //    alert("Procesando, espere por favor...");
        // },
        success: function(response) {
            alert(response);

        }
    });


});

//funcion buscar cuidades
document.querySelector("#dciudades").addEventListener("keypress", function(e) {
    let ciudad = $("#dciudades").val();
    if (ciudad.length >= 3 || e.which == 13) {

        dciudades(ciudad);
    }

});



dciudades = (ciudad) => {
        //ciudades
        var campoCiuda = document.querySelector("#dciuda");

        let ciud = [];
        $.ajax({
            data: {
                "ciudades": ciudad
            },
            url: "../controlador/config/cliente.php", //archivo que recibe la peticion
            type: 'post', //método de envio

            // beforeSend: function () {
            //    alert("Procesando, espere por favor...");
            // },
            success: function(response) { //una vez que el archivo recibe el request lo procesa y lo devuelve
                //$("#resultado").html(response);
                let respuesta = JSON.parse(response);
                for (const key in respuesta) {
                    let datCiud = `<option value='${respuesta[key].CodigoDIAN}'>${respuesta[key].Ciudad}  </option>`;
                    ciud.push(datCiud);

                }
                let ciudades = ciud.join("");
                campoCiuda.innerHTML = ciudades;
            }

        });

    }
    // fin funcion buscar cuidades


//funcion actulizar saldo cartera cliente


$("#carteraclie").click(function() {
    var cedula = $("#ceducli").val();
    var nombre = $("#nombreclic").val();
    var deuda = parseInt($("#valoclic").val());
    var abono = parseInt($("#valoabono").val());



    if (deuda > 0) {

        if (abono <= deuda) {

            $.ajax({
                data: { "cedulaabo": cedula, "abono": abono, "deuda": deuda, "nombre": nombre,"usuarioA":usuarioA }, //datos que se envian a traves de ajax
                url: "../controlador/config/admin.php", //archivo que recibe la peticion
                type: 'post', //método de envio

                // beforeSend: function () {
                //    alert("Procesando, espere por favor...");
                // },
                success: function(response) {
                    alert(response);
                    $("#administracion").click();
                }
            });
        } else {
            alert("El monto supera el valor del credicto");
        }
    } else {

        alert("El cliente no tiene saldo pendiente");

    }
});

//funciones categoria productos 




//funcion mostrar ventana modal categoria

$("#categoriapr").click(function() {

    $("#categoriaadm").modal('show');


});

$("#guarcatego").click(function() {

    var codcat = $("#codecatego").val();
    var nombrecodcat = $("#nombrecategor").val();

    $.ajax({
        data: { "codecategoria": codcat, "nombrecateg": nombrecodcat }, //datos que se envian a traves de ajax
        url: "../controlador/config/admin.php", //archivo que recibe la peticion
        type: 'post', //método de envio

        // beforeSend: function () {
        //    alert("Procesando, espere por favor...");
        // },
        success: function(response) {
            alert(response);

        }
    });


});
//funciones marca productos 


//funcion mostrar ventana modal marca

$("#cartmarca").click(function() {

    $("#marcaadm").modal('show');


});

$("#guarmarca").click(function() {

    var codmarca = $("#codemarca").val();
    var nombremarca = $("#nombremarca").val();
  
    $.ajax({
        data: { "codemarca": codmarca, "nombremarca": nombremarca }, //datos que se envian a traves de ajax
        url: "../controlador/config/admin.php", //archivo que recibe la peticion
        type: 'post', //método de envio

        // beforeSend: function () {
        //    alert("Procesando, espere por favor...");
        // },
        success: function(response) {
            alert(response);

        }
    });


});

//funcion modal productos kardex

$("#buss").click(function() {

    $("#productos").modal('show');


});
//funcion selecionar producto modal kardex
$("#tablap").on("dblclick", "tr", function() {



    var id = $(this).find(':first-child').text();
    $('#tkardex').modal('show');
    $("#buspkarde").val(id);
    $("#buskardepr").click();
    $("#salir").click();

});



function buscarprcargue(producto) {

    let bodega = document.getElementById("idbodegas").value;
    $.ajax({
        data: { "producto": producto,"bodega":bodega }, //datos que se envian a traves de ajax
        url: "../controlador/config/productos.php", //archivo que recibe la peticion
        type: 'post', //método de envio


        success: function(response) { //una vez que el archivo recibe el request lo procesa y lo devuelve
            //$("#resultado").html(response);
            var respuest = JSON.parse(response);

            $.each(respuest, function(index, respuesta) {

                var codigo = respuesta["codigo"];
                var nombre = respuesta["nombre"];
                var inventario = respuesta["inventario"];
                var factor = respuesta["factor"];
                var invetariofrcc = factor * inventario;
                var costoc = respuesta["costocaja"];
                var costof = respuesta["costofrcc"];
                var utilic = respuesta["utilidacaja"];
                var utilif = respuesta["utilidafrcc"];
                // var ventaca=((costoc/100)*utilic)+ parseInt(costoc);
                // var ventafr=((costof/100)*utilif)+ parseInt(costof);
                var ventaca = respuesta["ValorCaja"];
                var ventafr = respuesta["ValorFrcc"];



                $("#tablap").append(

                    "<tr ><td >" + codigo + "</td>  <th>" + nombre + "</th> <th>" + inventario + "</th> <th>" + ventaca + "</th> <th>" + invetariofrcc +
                    "</th> <th>" + ventafr + "</th>"


                );

            });



        }

    });
}


$("#buscarp").on('click', function() {
    $('#tablap tr').remove();
    var producto = $("#busproducto").val();
    buscarprcargue(producto);

});
//funciones infome cuadre de caja venta diaria


$("#infocajaa").click(function() {


    if ($cuadreCaja == "true") {

        if ($TipoUser == 1) {
            $('#ifcaja').modal('show');
        } else {
            $("#infconsultar").click();
        }


      

       

    } else {
        $('#ifcaja').modal('show');
    }

})


//imprimir detalle por producto

$("#imprimirDetalleProduc").click(function(){
    let fecha1 = $("#fec1").val();
    let fecha2 = $("#fec2").val();
    let bodega = document.getElementById("idbodegas").value;
    let usuarioActula=document.querySelector("#usuarioactual").value;

    if($TipoUser==0 && activarTurnos ==2 ){
        usuarioActula=usuarioA;
    }

    console.log(usuarioA)
console.log(usuarioActula)

    window.open('admin/impreindetalleProd.php?&bodega=' + bodega +  '&fechai=' + fecha1 + '&fechaf=' + fecha2+
       '&turno='+ usuarioActula+ ' ');




})
$("#infconsultar").click(function() {
    informeDeCaja();
});

function informeDeCaja(retiro=false,fechaRetiro=0,turno=1){
    let usuarioActula=0;
 return   new Promise((resolver, rechazar) => {

 
    let bodega = document.getElementById("idbodegas").value;

    

    


    if(retiro==true){
        var fecha1 = fechaRetiro;
        var fecha2 = fechaRetiro;
        
     
        if(activarTurnos==2){
            usuarioActula=document.querySelector("#usuarioactual").value;
        }else{
            usuarioActula=turno.trim();
        }
       
    }else{

        var fecha1 = $("#fec1").val();
        var fecha2 = $("#fec2").val();
        
        usuarioActula=document.querySelector("#usuarioactual").value;

    }

    let horaI=$("#horaI").val();
    let horaF=$("#horaF").val();
  
    $.ajax({
        data: { "solici": 1, "fecha1": fecha1,"horaI":horaI, "fecha2": fecha2,"horaF":horaF,"bodega":bodega,"usuarioA":usuarioActula}, //datos que se envian a traves de ajax
        url: "../controlador/config/informecaja.php", //archivo que recibe la peticion
        type: 'post', //método de envio


        success: function(response) { //una vez que el archivo recibe el request lo procesa y lo devuelve
            //$("#resultado").html(response);






            var respuesta = JSON.parse(response);



            var totalf = respuesta["totalf"];
            var iva5 = respuesta["iva5"];
            var iva19 = respuesta["iva19"];
            var base19 = respuesta["base19"];
            var base5 = respuesta["base5"];;
            var efectivo = respuesta["efectivo"];

            let efectivoVenta=respuesta["efectivoVenta"];

            var tcredicto = respuesta["tcredicto"];
            var tdebito = respuesta["tdebito"];
            var vcredicto = respuesta["vcredicto"];
            var escento = respuesta["escento"];
            var excluido = respuesta["excluido"];
            var devolucion = respuesta["devolucion"];

            var compracred = respuesta["compracredicto"];
            var compracontado = respuesta["compracontado"];
            var abonos = respuesta["abonos"];
            let devoluParcial = respuesta["DevoluionesParcial"];

            //var totexcexcen=parseInt(escento);
            //var devolucion = parseInt(devolucion1) + parseInt(devolucion2);
            let compraiva5 = respuesta["compraiva5"];
            let comprabase5 = respuesta["comprabase5"];
            let compraiva19 = respuesta["compraiva19"];
            let comprabase19 = respuesta["comprabase19"];
            let compraexcento = respuesta["compraexcento"];
            let compraexcluido = respuesta["compraexcluido"];
            let gastos = respuesta["gastos"];
            let totalpos = respuesta["totalpos"];
            let totalDomicilio = respuesta["totalDomicilio"];
            let totalElectronico = respuesta["totalElectronico"];


            let otroiva=respuesta["otroiva"];
            let baseotroiva=respuesta["baseotroiva"];
            let ivaipc=respuesta["ivaipc"];
            let baseipc=respuesta["baseipc"];
            let comprasBaseotro=respuesta["comprasBaseotro"];
            let comprasivaotro=respuesta["comprasivaotro"];
            let idservicioIn=respuesta["servicio"];
            let valorRetiro=respuesta["valorRetiro"];
            let baseCaja=respuesta["basecaja"];

            let Convenios=respuesta["Convenios"];
            if(valorRetiro==null || valorRetiro=="null"|| valorRetiro==""|| valorRetiro==" ")
            {
                valorRetiro=0; 
            }
           // let turno=document.querySelector("#usuarioactual").value;
           
            turnoimpr=respuesta["turno"];

            console.log(turnoimpr)

            console.log("devoluciones parciales" + devoluParcial);
            console.log("anulacion factura" + parseInt(devolucion - devoluParcial));


          let restaCompra=  confirm("Restar las Compras de contado En el Cuadre");
          if(restaCompra){
            efectivo=efectivo-compracontado;

          }



            if(mostrarvalorVenta>0){
                totalf=totalf-((totalf/100)*mostrarvalorVenta)
                iva5=iva5-((iva5/100)*mostrarvalorVenta)
                iva19=iva19-((iva19/100)*mostrarvalorVenta)
                base19=base19-((base19/100)*mostrarvalorVenta)
                base5=base5-((base5/100)*mostrarvalorVenta)

                efectivo=efectivo-((efectivo/100)*mostrarvalorVenta)

                tcredicto=tcredicto-((tcredicto/100)*mostrarvalorVenta)

                tdebito=tdebito-((tdebito/100)*mostrarvalorVenta)

                escento=escento-((escento/100)*mostrarvalorVenta)

                excluido=excluido-((excluido/100)*mostrarvalorVenta)

                devolucion=devolucion-((devolucion/100)*mostrarvalorVenta)

                devoluParcial =devoluParcial -((devoluParcial /100)*mostrarvalorVenta)

                totalpos =totalpos -((totalpos /100)*mostrarvalorVenta)
                totalDomicilio =totalDomicilio -((totalDomicilio /100)*mostrarvalorVenta)

                totalDomicilio =totalDomicilio -((totalDomicilio /100)*mostrarvalorVenta)
                
                vcredicto=vcredicto -((vcredicto /100)*mostrarvalorVenta)
            }


            

            if(retiro==false){

            $("#tpos").val(totalpos);
            $("#tdomicilio").val(totalDomicilio);
            $("#telectronico").val(totalElectronico);

            $("#b5").val(base5);
            $("#i5").val(iva5);

            $("#b19").val(base19);
            $("#i19").val(iva19);

            // $("#efec").val((efectivo + abonos )- gastos -valorRetiro-compracontado);
            $("#efec").val((efectivo  )- gastos -valorRetiro);
            $("#efecVent").val(efectivoVenta)

            
            // $("#tventa").val(totalf+devoluParcial);

            $("#tventa").val(totalf);
            // let totalventa=totalf-devoluParcial;
            let totalventa=totalf;
            $("#Tcred").val(tcredicto);
            $("#Tdeb").val(tdebito);
            $("#crediv").val(vcredicto);
            
            $("#gastocaja").val(gastos);

            $("#nograbado").val(escento);
            $("#excluido").val(excluido);
            $("#devocaja").val(devolucion);

            $("#comcredi").val(compracred);
            $("#comcont").val(compracontado);
            $("#abonoscaja").val(abonos);

            $("#civa5").val(compraiva5);
            $("#cbase5").val(comprabase5);
            $("#civa19").val(compraiva19);
            $("#cbase19").val(comprabase19);
            $("#cexcento").val(compraexcento);
            $("#cexcluido").val(compraexcluido);

            $("#ivaotroc").val(comprasivaotro);
            $("#baseotroc").val(comprasBaseotro);

            $("#ivaipc").val(ivaipc);
            $("#bseipc").val(baseipc);
            $("#votroiva").val(otroiva);
            $("#vbaseotro").val(baseotroiva);
            $("#retirosEfe").val(valorRetiro)
            $("#idservicioIn").val(idservicioIn)

            $("#tConvenios").val(Convenios);
            $("#Basecaja").val(baseCaja);
            $("#baseAnterior").val(baseCaja)

            $("#tefectivoB").val( parseInt(baseCaja)+ parseInt((efectivo  )- gastos -valorRetiro ));
         
            // tdebito
            console.log(valorRetiro)
         
            // if(ValorTCaja==0){
            //     var totalcaja = ((totalf + abonos) - compracontado) - vcredicto - gastos-tdebito-tcredicto-valorRetiro;
            // }else{

                // var totalcaja = ((totalf + abonos) - compracontado) - vcredicto - gastos -valorRetiro;

                if(restaCompra){
                    var totalcaja = ((totalf + abonos) ) - vcredicto - gastos -valorRetiro-compracontado;
                }else{
                    var totalcaja = ((totalf + abonos) ) - vcredicto - gastos -valorRetiro;
                }
               
            // }

            

            //console.log(devolucion2);
            $("#ttcaja").val(totalcaja).number(true, 2);
            // document.getElementById("valorMostracuadre").innerText=totalcaja;
            // $("#valorMostracuadre").number(true, 2);

            $("#b5").number(true, 2);
            $("#i5").number(true, 2);

            $("#b19").number(true, 2);
            $("#i19").number(true, 2);
            $("#efec").number(true, 0);

            $("#efecVent").number(true, 0);

            $("#tventa").number(true, 0);
            $("#Tcred").number(true, 0);
            $("#Tdeb").number(true, 0);
            $("#crediv").number(true, 0);
            $("#gastocaja").number(true, 0);

            $("#nograbado").number(true, 0);
            $("#devocaja").number(true, 0);

            $("#comcredi").number(true, 0);
            $("#comcont").number(true, 0);
            $("#abonoscaja").number(true, 0);

            $("#civa5").number(true, 0);
            $("#cbase5").number(true, 0);
            $("#civa19").number(true, 0);
            $("#cbase19").number(true, 0);
            $("#cexcento").number(true, 0);
            $("#cexcluido").number(true, 0);

            $("#tpos").number(true, 0);
            $("#tdomicilio").number(true, 0);
            $("#telectronico").number(true, 0);
            

            $("#ivaotroc").number(true, 2);
            $("#baseotroc").number(true, 2);

            $("#ivaipc").number(true, 2);
            $("#bseipc").number(true, 2);
            $("#votroiva").number(true, 2);
            $("#vbaseotro").number(true, 2);
            $("#retirosEfe").number(true, 2);
            $("#idservicioIn").number(true, 2);
            $("#tConvenios").number(true, 2);
            $("#Basecaja").number(true, 2);


            $("#efect1").number(true, 0);
            $("#dineroEntregar").number(true, 0);
            $("#baseAnterior").number(true, 0);
            $("#nuevaBase").number(true, 0);
            $("#totalSuma").number(true, 0);
            $("#diferenicaDiner").number(true, 0);
            $("#tefectivoB").number(true, 0);
            
            // $("#").number(true, 0);
           
            if ($cuadreCaja == "true") {
                if ($TipoUser == 1) {


                    let con = confirm("Quieres Ingresar el Cuadre De caja");
                    if (con) {
                        validarCuadre(totalcaja, fecha2, 2,totalventa);
                    }
                } else {
                    validarCuadre(totalcaja, fecha2, 1,totalventa);
                }
            }
            
            document.getElementById("valorMostracuadre").innerText=totalcaja;
            $("#valorMostracuadre").number(true, 2);  
        }else{

            // efectivo disponible
              resolver(  (efectivo  )- gastos -valorRetiro);
        //    resolver(  (efectivo + abonos )- gastos -valorRetiro-compracontado);
           
        }

        }

    })
})
}


$("#impinfo").click(function() {
    var fechaf = $("#fec2").val();
    var fechai = $("#fec1").val();
    var total = $("#ttcaja").val();
    var totalventa = $("#tventa").val();
    var b5 = $("#b5").val();
    var i5 = $("#i5").val();

    var b19 = $("#b19").val();
    var i19 = $("#i19").val();
    var efect = $("#efec").val();
    let efecVent=$("#efecVent").val()

    var tcredi = $("#Tcred").val();
    var tdebe = $("#Tdeb").val();
    var credi = $("#crediv").val();


    var nograbado = $("#nograbado").val();
    var excluidoo = $("#excluido").val();
    var devolucion = $("#devocaja").val();

    var compracred = $("#comcredi").val();
    var compraconta = $("#comcont").val();
    var abonos = $("#abonoscaja").val();

    let comraiva5 = $("#civa5").val();
    let comprabase5 = $("#cbase5").val();
    let compraiva19 = $("#civa19").val();
    let comprabase19 = $("#cbase19").val();
    let compraexcento = $("#cexcento").val();
    let compraexcluido = $("#cexcluido").val();
    let gastos = $("#gastocaja").val();

    let totalpos = $("#tpos").val()
    let totalDomicilio = $("#tdomicilio").val();
    let totalElectronico = $("#telectronico").val();
    let bodega = document.getElementById("idbodegas").value;
    

   let compraivaotro= $("#ivaotroc").val();
   let comprabaseivaotro= $("#baseotroc").val();

   let ivaipcc= $("#ivaipc").val();
   let baseipc= $("#bseipc").val();
  let ivaotro=  $("#votroiva").val();
  let baseivaotro=$("#vbaseotro").val();

  let retirosEfe=$("#retirosEfe").val();

  let Basecaja=$("#Basecaja").val();




    window.open('admin/impreinfocaja.php?&total=' + total + '&b5=' + b5 + '&i5=' + i5 + '&b19=' + b19 + '&i19=' + i19 + '&fechai=' + fechai +
        '  &efect=' + efect + '&tcredi=' + tcredi + '&tdebe=' + tdebe + ' &credi=' + credi + '&nograbado=' + nograbado + '&devolucion=' + devolucion +
        '&compracred=' + compracred + '&compraconta=' + compraconta + '&abonos=' + abonos + '&tventa=' + totalventa + '&compraiva5=' + comraiva5 +
        '&comprabase5=' + comprabase5 + '&compraiva19=' + compraiva19 + '&comprabase19=' + comprabase19 + '&compraexcento=' + compraexcento +
        '&compraexcluido=' + compraexcluido + '&gastoss=' + gastos + 
        '&fechaf=' + fechaf + '&excluido=' + excluidoo + '&totalpos=' + totalpos +
         '&totalDomicilio=' + totalDomicilio + '&totalElectronico=' + totalElectronico +
          '&bodega=' + bodega + '&turno=' + turnoimpr +'&compraivaotro=' + compraivaotro +'&comprabaseivaotro=' + comprabaseivaotro + 
          '&ivaipcc=' + ivaipcc +'&baseipc=' + baseipc +'&ivaotro=' + 
          ivaotro +'&baseivaotro=' + baseivaotro +'&retirosEfe='+
          retirosEfe+'&Basecaja='+Basecaja+'&efecVent='+efecVent+
          
          ' ');



})

//consultar factura de compra para reimprimir
$("#refacompra").click(function() {
    $('#impresioncompraadmin').modal('show');
    $("#numfactcompra").val("0");
})


let botonBuscarfactura = document.querySelector("#buscarfactucompra");
botonBuscarfactura.addEventListener("click", function() {
    let numfactur = document.querySelector("#numfactcompra").value;
    let numprove = document.querySelector("#numprovedor").value;
    let bodega = document.getElementById("idbodegas").value;

    if(tipoimprision==0){
        window.open('admin/reimpresionfacturacompra.php?factura=' + numfactur + '&provedor=' + numprove +'&bodega=' + bodega + '');
    }else{
         window.open('admin/reimpresionfacturacompraCarta.php?factura=' + numfactur + '&provedor=' + numprove +'&bodega=' + bodega + '');
    }
    


});



// funciones de gastos 

document.querySelector("#gastod").addEventListener("click", function() {

    $('#gastos').modal('show');
    $("#ceducligas").val("");
    $("#nombreclicgas").val("");
    $("#observacion").val("");
});

//mostrar venta crear cliente
document.querySelector("#crearcligast").addEventListener("click", function() {

    $('#registro').modal('show');

});



$("#buscarcliengastos").click(function() {

    let idg = $("#ceducligasto").val();

    buscarcgasto(idg);
});

//click buscar cleinte pagos


$("#buscarclienPagos").click(function() {

    let idg = $("#ceduclipago").val();

    buscarcgasto(idg,tipo="Pago");
});

function buscarcgasto(id,tipo="Gasto") {

    $("#ceducligas").val("");
    $("#nombreclicgas").val("");
    let bodega = document.getElementById("idbodegas").value;
    $.ajax({
        data: { "idclien": id,"bodega":bodega }, //datos que se envian a traves de ajax
        url: "../controlador/config/admin.php", //archivo que recibe la peticion
        type: 'post', //método de envio

        // beforeSend: function () {
        //    alert("Procesando, espere por favor...");
        // },
        success: function(respon) {


            let respues = JSON.parse(respon);
            let respuesta=respues["cliente"];
            
            var idclin = (respuesta["cedula"]);
            var cliente = (respuesta["Nombre"]);
            var apellido = (respuesta["apellido"]);
            /*
                var dorec=(respuesta["direccion"]); 
                var apellido=(respuesta["apellido"]); 
                var activocre=(respuesta["credicto"]);
                var valorcr=(respuesta["credValor"]);  
                var telef=(respuesta["telefono"]);  
                let correo=(respuesta["correo"]);
               */

                if(tipo=="Pago"){


                    $.ajax({
                        data: { "idcliPagos": idclin,"bodega":bodega }, //datos que se envian a traves de ajax
                        url: "../controlador/config/admin.php", //archivo que recibe la peticion
                        type: 'post', //método de envio
                
                        // beforeSend: function () {
                        //    alert("Procesando, espere por favor...");
                        // },
                        success: function(respon) {
                         
                                let datos=JSON.parse(respon);
                                console.log(datos)

                            $("#ceduclipas").val(idclin);
                            $("#nombreclicpas").val(cliente + " " + apellido);

                            let factPa=[" <option value='0'> Factura 0  Valor: 0 Fechacompra: 0  saldoAbonado:0 </option>"];
                            datos.forEach(v=>{
                                // let valro=parseInt(v.CompCredicto)-parseInt(v.otroDato)-parseFloat(v.retencion)

                                let valro=parseInt(v.CompCredicto)
                                let da=` <option value="${v.factcompra}">
                               
                                Valor: ${valro}
                                Fechacompra: ${v.fechacompra.substr(0,10)}
                                saldoAbonado:${v.saldoAbonado}
                                Pendiente:${valro-v.saldoAbonado}
                                </option>`

                                factPa.push(da)

                            })


                            document.getElementById("facturapend").innerHTML=factPa.join("");
                            

                        }
                    }) 
                }else{
                    $("#ceducligas").val(idclin);
                    $("#nombreclicgas").val(cliente + " " + apellido);
                }
            


            /*
                $("#apellclic").val(apellido);
                
                $("#dirclic").val(dorec);
                $("#tleclic").val( telef);
                $("#crclic").val(activocre);
                $("#valoclic").val(valorcr);
                $("#crcorreo").val(correo);
    
                 */




        }

    });

}


//funcion guardar datos de gastos

document.querySelector("#guargastoc").addEventListener("click", function() {
    let cedula = document.querySelector("#ceducligas").value;
    let nombre = document.querySelector("#nombreclicgas").value;
    let tipogast = document.querySelector("#tipogasto").value;
    let valor = document.querySelector("#vlrgasto").value;
    let observacion = $("#observacion").val();
    let bodega = document.getElementById("idbodegas").value;
    let FormaPagoGast=document.getElementById("FormaPagoGast").value;
    let tipoCruze=document.getElementById("tipoCruze").value;
    let fecha=document.getElementById("FachaGasto").value;


    if(tipoCruze=="CajaDia" && FormaPagoGast !="Contado"){

        alert("Para gasto Que Afectan la Caja del Dia solo se permite en Efectivo");
        return 1;
    }

    if (cedula == "" || nombre == "" || tipogast == "" || valor == "" || FormaPagoGast=="") {

        alert("Comple todo los datos Solicitados");
    } else {



        $.ajax({
            data: {"FormaPagoGast":FormaPagoGast,
             "cedulgasto": cedula, "nombregasto": nombre,
              "tipogasto": tipogast, "valorgst": valor, 
              "observacion": observacion,"bodega":bodega,
               "usuarioA":usuarioA,"tipoCruze":tipoCruze,
            "fecha":fecha }, //datos que se envian a traves de ajax
            url: "../controlador/config/admin.php", //archivo que recibe la peticion
            type: 'post', //método de envio

            // beforeSend: function () {
            //    alert("Procesando, espere por favor...");
            // },
            success: function(response) {
                console.log(response)
                let respuesta = JSON.parse(response);

                alert(respuesta.mensaje);
                if(respuesta.estado=="ok"){
                    let id=respuesta.id
                    window.open('admin/imprimirgastos.php?&valor=' 
                    + valor + '&cedula=' + cedula + '&nombre='
                     + nombre + '&tipogasto=' + tipogast +
                      '&observacion=' + observacion + '&bodega='
                       + bodega + '&id=' + id +  '&fechaaa=' + fecha +'');
                }else{
                    
                }

                



                $("#salirgas").click();


            }

        });

    }



});



//funcion guardar pagos
document.querySelector("#guardarpago").addEventListener("click", function() {
    let cedula = document.querySelector("#ceduclipas").value;
    let nombre = document.querySelector("#nombreclicpas").value;
    let tipogast = document.querySelector("#tipoPago").value;
    let valor = document.querySelector("#vlrPago").value;

    let observacion = $("#observacionPago").val();
    let bodega = document.getElementById("idbodegas").value;
    let FormaPagoGast=document.getElementById("FormaPagoPago").value;
let fechaPago=document.getElementById("Fachapago").value;
    let tipoCruzePa=document.getElementById("tipoCruzePa").value;
let facturaCruce=document.getElementById("facturaCruceP").value;

if(tipoCruzePa=="CajaDia" && FormaPagoGast !="Contado"){

    alert("Para pagos Que Afectan la Caja del Dia solo se permite en Efectivo");
    return 1;
}

    if (cedula == "" || nombre == "" || tipogast == "" || valor == "" || FormaPagoGast=="" || facturaCruce=="") {

        alert("Comple todo los datos Solicitados");
    } else {



        $.ajax({
            data: {"FormaPagopago":FormaPagoGast, "cedulPago": cedula,
             "nombrepago": nombre, "tipopago": tipogast,
              "valorpago": valor, "observacion": observacion,
              "bodega":bodega, "usuarioA":usuarioA,"tipoCruzePa":tipoCruzePa,"facturaCruce":facturaCruce,"fechap":fechaPago }, //datos que se envian a traves de ajax
            url: "../controlador/config/admin.php", //archivo que recibe la peticion
            type: 'post', //método de envio

            // beforeSend: function () {
            //    alert("Procesando, espere por favor...");
            // },
            success: function(response) {
                console.log(response)
                let respuesta = JSON.parse(response);

                alert(respuesta.mensaje);
                if(respuesta.estado=="ok"){
                    let id=respuesta.id
                    window.open('admin/imprimirgastos.php?&valor=' + valor + '&cedula=' + cedula + '&nombre=' + nombre + '&tipogasto=' + tipogast + '&observacion=' + observacion + '&bodega=' + bodega + '&id=' + id + '&tp=Pagos');
                }else{
                   
                }

                



                $("#salirgas").click();


            }

        });

    }



});
//funcion reimprimir salida
//
$("#refasalida").click(function() {
    $('#impresionsalidaadmin').modal('show');
    $("#numfasalida").val("0");
})


let botonBuscarsalida = document.querySelector("#buscarSalida");
botonBuscarsalida.addEventListener("click", function() {
    let numfactur = document.querySelector("#numfasalida").value;
    let bodega = document.getElementById("idbodegas").value;
    window.open('admin/reimpresionimpresionsalida.php?factura=' + numfactur +'&bodega=' + bodega + '');


});


//funcion reimprimir entrada

$("#refaentrada").click(function() {
    $('#impresionentradaadmin').modal('show');
    $("#numfentrada").val("0");
})

//funcion abrir modal puntos

$("#modalPuntos").click(function() {
    $('#idmodalPuntos').modal('show');
    $("#valorPuntos").val("0");
})

let botonBuscarentrada = document.querySelector("#buscarentrada");
botonBuscarentrada.addEventListener("click", function() {
    let numfactur = document.querySelector("#numfentrada").value;
    let bodega = document.getElementById("idbodegas").value;
    window.open('admin/reimpresionimpresionentrada.php?factura=' + numfactur + '&bodega=' + bodega +'');


})

// funcion solicitar cuadre de caja


validarCuadre = (totalcaja, fecha2, validador,totalventa) => {


    $('#Modalcuadrecaja').modal('show');


    document.getElementById("fechaCuadre").value=fecha2;
    document.getElementById("totalcajaC").value=totalcaja;
    document.getElementById("validadorC").value=validador;
    document.getElementById("totalventaC").value=totalventa;

    

    document.getElementById("cuadreefectivo").value=0;
    document.getElementById("cuadreTrasfere").value=0;
    document.getElementById("cuadreTarjeta").value=0;

    
}

document.getElementById("guarcuadre").addEventListener("click",function(){




    let fecha2= document.getElementById("fechaCuadre").value;
   let totalcaja= document.getElementById("totalcajaC").value;
   let validador= document.getElementById("validadorC").value;
    let efectivoIngre= document.getElementById("cuadreefectivo").value;
    let TrasfeIngre=document.getElementById("cuadreTrasfere").value;
    let TarjetIngre=document.getElementById("cuadreTarjeta").value;
    let totalVenta=document.getElementById("totalventaC").value;

    let efet=efectivoIngre.replace(/[.\s]/g, '');
    let trasf=TrasfeIngre.replace(/[.\s]/g, '');
    let tarje=TarjetIngre.replace(/[.\s]/g, '');



    if (efet.trim() == "" || isNaN(efet)) {
        efet = 0;
    }
    if (trasf.trim() == "" || isNaN(trasf)) {
        trasf = 0;
    }
   
    if (tarje.trim() == "" || isNaN(tarje)) {
        tarje = 0;
    }


    if (totalcaja.trim() == "" || isNaN(totalcaja)) {
        totalcaja = 0;
    }
    

    if((totalcaja==0 )||( totalcaja=='0'))
        {
                alert("Sin valor de cruce y saldo en cero, Revisa Las ventas");
                
                return 0;
    
        }

    // if((efet==0 && trasf==0  && tarje==0)||(efet=='0' && trasf=='0'  && tarje=='0'))
    // {

        

    // }

    let bodega = document.getElementById("idbodegas").value;
   let valorCuadre=parseInt(efet)+parseInt(trasf)+parseInt(tarje);




        if (validador == 2) {
            cuadreCaja(totalcaja, fecha2, valorCuadre, validador,efet,trasf,tarje,totalVenta);


        } else {


            $.ajax({
                data: {
                    "Validaruadre": 1,
                    "fecha": fecha2,
                    "bodega":bodega

                }, //datos que se envian a traves de ajax
                url: "../controlador/config/admin.php", //archivo que recibe la peticion
                type: 'post', //método de envio

                // beforeSend: function () {
                //    alert("Procesando, espere por favor...");
                // },
                success: function(response) {

                    if (response == 1) {

                        cuadreCaja(totalcaja, fecha2, valorCuadre, validador,efet,trasf,tarje,totalVenta);

                    } else {

                        alert("Solo en usuario Administrador  Puede Realizar Un Segundo Cuadre De caja");

                    }


                }

            });






        

    }

})





function cuadreCaja(totalcaja, fecha2, valorCuadre, validador,efet,trasf,tarje,totalVenta) {

    let diferenica = valorCuadre - totalcaja;
    let bodega = document.getElementById("idbodegas").value;

    let turno=document.querySelector("#usuarioactual").value;
   
    let valorRetiro=document.querySelector("#retirosEfe").value;

    let valorreti=valorRetiro.split(',').join('')

    if(efet=="" || efet==" " || isNaN(efet)){
        efet=0;
    }
    if(trasf=="" || trasf==" " || isNaN(trasf)){
        trasf=0;
    }
    if(tarje=="" || tarje==" " || isNaN(tarje)){
        tarje=0;
    }


   //medios de pago
let efect1=$("#efect1").val();
   let efectivo=$("#efec").val();
   let tasferecnia=$("#Tcred").val();
   let tarjetas=$("#Tdeb").val();
let Basecaja=$("#Basecaja").val();
let dineroEntregar=$("#dineroEntregar").val();
let nuevaBase=$("#nuevaBase").val();
let diferenicaDiner=$("#diferenicaDiner").val();
let totalSuma=$("#totalSuma").val();
   
// console.log(Basecaja)
   

    $.ajax({
        data: {
            "valorCuadre": valorCuadre,
            "totalcaja": totalcaja,
            "diferenica": diferenica,
            "fecha": fecha2,
            "validador": validador,
            "bodega":bodega,
            "turno":turno,
            "retiro":valorreti,
            "valorEfectivo":efectivo,
            "valorTrasferencia":tasferecnia,
            "valorTarjetas":tarjetas,
            "efectivoIngresado":efet,
            "trasferenciaIngresada":trasf,
            "tarjetasIngresada":tarje,
            "diferenciaEfectivo":efet - efectivo,
            "diferenciaTrasferencia":trasf-tasferecnia,
            "diferenicaTarjetas":tarje-tarjetas,
            "ventadia":totalVenta,
            "Basecaja":Basecaja,
            "nuevaBase":nuevaBase,
            "efect1":efect1,
            "dineroEntregar":dineroEntregar,
            "diferenicaDiner":diferenicaDiner,
            "totalSuma":totalSuma
            

        }, //datos que se envian a traves de ajax
        url: "../controlador/config/admin.php", //archivo que recibe la peticion
        type: 'post', //método de envio

        // beforeSend: function () {
        //    alert("Procesando, espere por favor...");
        // },
        success: function(response) {

            console.log(response);
            if (response == 1) {
                $("#impinfo").click();


            }


        }

    });



}

//reimpresion informe de caja

document.getElementById("reimprimirinforme").addEventListener("click",()=>{
   let  numeroinformecaja=document.getElementById("numeroinformecaja").value;
    let bodega = document.getElementById("idbodegas").value;
    if(numeroinformecaja==""){
        alert("Sin numero de Informe");
    }else{
        window.open('admin/reimpreinfocaja.php?&numeroinforme=' + numeroinformecaja + '&bodega=' + bodega +' ');
    }
    
    
    
    })



   //funcion abrir modal turnos
   
   document.querySelector("#abrirturnos").addEventListener("click",function(){

    $('#turnormodal').modal('show');

   });


   //funcion abrir turno


     //funcion abrir modal pagos
   
     document.querySelector("#AbrirPagos").addEventListener("click",function(){

        $('#ModalPagos').modal('show');
    
       });
   
    

       //funcion abrir modal sucursales
   
   document.querySelector("#sucursalClient").addEventListener("click",function(){

    $('#sucursalesClientes').modal('show');

   });

   /// guardar Sucursal

   let botonGuardarSucur=document.getElementById("idGuardarSucur");
   if(botonGuardarSucur){
    botonGuardarSucur.addEventListener("click",function(){

        let nombreSucursal=document.getElementById("nombreSucursal");
        let direSucursal=document.getElementById("direSucursal");
        let telSucursal=document.getElementById("telSucursal");
        let ceduclienc=document.getElementById("ceduclienc").value;
        if(ceduclienc=="" || ceduclienc==" "){
            alert("No ha selecionado un cliente")
            return 1
        }

        $.ajax({
            data: {
               
                "nombreSucursal":nombreSucursal.value,
                "direSucursal":direSucursal.value,
                "telSucursal":telSucursal.value,
                "ceduclienc":ceduclienc    
    
            }, //datos que se envian a traves de ajax
            url: "../controlador/config/funcionesgenerales.php", //archivo que recibe la peticion
            type: 'post', //método de envio
    
        
            success: function(response) {
                console.log(response)
                let respuesta = JSON.parse(response);
                if(respuesta.estado=="ok"){
                    alert(respuesta.mensaje)
                    document.getElementById("buscarclien").click();
                     nombreSucursal.value="";
                        direSucursal.value=""
                        telSucursal.value=""



                }else{

                    alert("Ocurrio un error al crear sucursal");
                }
            
            }
    
        });

        


    })
   }


/// eliminar sucursal clientes


function elminiarSucu(id){

    $.ajax({
        data: {
           
            "idSucursal":id,
             

        }, //datos que se envian a traves de ajax
        url: "../controlador/config/funcionesgenerales.php", //archivo que recibe la peticion
        type: 'post', //método de envio

    
        success: function(response) {

            document.getElementById("buscarclien").click();
            alert(response)



        }

    })
}


     
   document.getElementById("abrirtirno").addEventListener("click",function(){
            let turno=document.getElementById("numeroturnoabrir").value;
            let bodega = document.getElementById("idbodegas").value;
            // 

            fetch("../controlador/config/turnos.php", {
                method: 'POST', // or 'PUT'
                body: JSON.stringify({"turno":turno,"bodega":bodega}), // data can be `string` or {object}!
                headers:{
                  'Content-Type': 'application/json'
                }
              }).then(res => res.text())
           
              .then(response => alert(response));


   });
//guardar valor conversion puntos


let botonGuardarPuntos=document.getElementById("GuardarPuntos");
if(botonGuardarPuntos){
    botonGuardarPuntos.addEventListener("click",()=>
    {
        let valorPuntos=document.getElementById("valorPuntos").value;
        $.ajax({
            data: {
               
                "valorPuntos":valorPuntos
    
    
            }, //datos que se envian a traves de ajax
            url: "../controlador/config/funcionesgenerales.php", //archivo que recibe la peticion
            type: 'post', //método de envio
    
            // beforeSend: function () {
            //    alert("Procesando, espere por favor...");
            // },
            success: function(response) {
                // let respuesta = JSON.parse(response);

            alert (response)
            }
    
        });

        
    })
}

   ///reimprimir gastos

        
        document.getElementById("ReimprimirGast").addEventListener("click",function(){
            let idgastos=document.getElementById("idgastos").value;

           
            let bodega = document.getElementById("idbodegas").value;
            // 
            $.ajax({
                data: {
                    "bodega":bodega,
                    "idgastos":idgastos
        
        
                }, //datos que se envian a traves de ajax
                url: "../controlador/config/admin.php", //archivo que recibe la peticion
                type: 'post', //método de envio
        
                // beforeSend: function () {
                //    alert("Procesando, espere por favor...");
                // },
                success: function(response) {
                    let respuesta = JSON.parse(response);

                  
                if(respuesta.length>0){
                    window.open('admin/imprimirgastos.php?&valor=' + 
                    respuesta[0].valorg + '&cedula=' + respuesta[0].cedulaclie + 
                    '&nombre=' + respuesta[0].nombrecli + '&tipogasto='
                     + respuesta[0].tipoGast  + '&observacion=' + 
                     respuesta[0].observacion  + '&bodega=' +
                      respuesta[0].idbodegaG  + '&id=' + respuesta[0].idg + '&fechaaa=' + respuesta[0].fecha + '');
                }else{
                    console.log(respuesta)
                }
                
                }
        
            });
            
           
            
        })

   //funcion abrir modal retiros
   
   document.querySelector("#AbrirRetiros").addEventListener("click",function(){

    $('#ModalRetiros').modal('show');
        let fechaRetiro=$("#fec1Re").val();
        let TurnoAct=document.getElementById("turnoActualRE").value;
              if(TurnoAct==0 || TurnoAct==""|| TurnoAct==" "){
                alert("No se ha especificado un turno");
                }else{
                    if(activarTurnos==2){
                        TurnoAct=usuarioA;
                    }else{
                        TurnoAct=TurnoAct;
                    }
                    let valorEfectivo= informeDeCaja(true,fechaRetiro,TurnoAct).then(valor=>{
                        document.getElementById("valorDisponible").value=valor
                    });
                }
        

            


        });

       

//funcion consultar cambio de turno ventana retiros
let BotonCosuntarSaldo=document.getElementById("CosuntarSaldo");
if(BotonCosuntarSaldo){
  

    BotonCosuntarSaldo.addEventListener("click",()=>{
        let fechaRetiro=$("#fec1Re").val();
        let TurnoAct=$("#turnoActualRE").val();
      
        if(TurnoAct==0 || TurnoAct==""|| TurnoAct==" "){
            alert("No se ha especificado un turno");
            }else{
                
                let valorEfectivo= informeDeCaja(true,fechaRetiro,TurnoAct).then(valor=>{
                    document.getElementById("valorDisponible").value=valor
                  
                });
            }




        });
   
}
 //funcion guardar  retiro efectivo

document.querySelector("#guardaretiro").addEventListener("click", function() {
   
    let nombre = document.querySelector("#nombreresponsable").value;
   
    let valorRetiro = document.querySelector("#valorRetiro").value;
    let observacion = $("#observacionRetiro").val();
    let efectivoDisponible= document.getElementById("valorDisponible").value;
    let bodega = document.getElementById("idbodegas").value;
    let TurnoAct=document.getElementById("turnoActualRE").value;
    let fechaRetiro=$("#fec1Re").val();// solo para consulta de saldo

    if ((valorRetiro == ""  || valorRetiro==0 )|| nombre == "" || observacion == "" || TurnoAct=="" || TurnoAct==0 ||TurnoAct==" " ) {

        alert("Comple todo los datos Solicitados O revise el turno actual");
    } else {

 if(efectivoDisponible<=0){
    alert("No hay dinero disponible Para Retirar");
 }else{


    if(parseInt(efectivoDisponible)-parseInt(valorRetiro)<0){
        alert("No hay Sufiente Dinero para Retirar");
    }else{

        $.ajax({
            data: {"valorRetiro":valorRetiro, "nombre": nombre, "observacion": observacion, "bodega": bodega, "efectivoDisponible": efectivoDisponible, "usuarioA":usuarioA,"turnoR":TurnoAct }, //datos que se envian a traves de ajax
            url: "../controlador/config/admin.php", //archivo que recibe la peticion
            type: 'post', //método de envio

            // beforeSend: function () {
            //    alert("Procesando, espere por favor...");
            // },
            success: function(response) {
                console.log(response)
                let respuesta = JSON.parse(response);

                alert(respuesta.mensaje);
                if( respuesta.estado.trim()=="ok"){
                    let id=respuesta.id
                    
                        window.open('admin/imprimirretiros.php?&valor=' + valorRetiro +
                        '&nombre=' + nombre +
                         '&observacion=' + observacion +
                         '&bodega=' + bodega + '&id=' + id + '');
  
                      let valorEfectivo= informeDeCaja(true,fechaRetiro,TurnoAct).then(valor=>{
                          document.getElementById("valorDisponible").value=valor
                          $(".limpiarrr").val("");
                       });
                                                      
                  
                   
                }else{
                    
                }

                



                // $("#salirgas").click();


            }

        });

    }

    }
    }



});



   ///reimprimir retiros

        
   document.getElementById("ReimprimiRetiro").addEventListener("click",function(){
    let idretiro=document.getElementById("idretiro").value;

   
    let bodega = document.getElementById("idbodegas").value;
    // 
    $.ajax({
        data: {
            "bodega":bodega,
            "idretiro":idretiro


        }, //datos que se envian a traves de ajax
        url: "../controlador/config/admin.php", //archivo que recibe la peticion
        type: 'post', //método de envio

        // beforeSend: function () {
        //    alert("Procesando, espere por favor...");
        // },
        success: function(response) {
            let respuesta = JSON.parse(response);

          
        if(respuesta.length>0){
     
        
        
        
              window.open('admin/imprimirretiros.php?&valor=' + respuesta[0].valorretiro +
              '&nombre=' + respuesta[0].Responsable +
               '&observacion=' + respuesta[0].ObservacionReti +
               '&bodega=' + respuesta[0].bodegaRetir + '&id=' + respuesta[0].id + '');
        
        
            }else{
            console.log(respuesta)
        }
        
        }

    });
    
   
    
})

//imprimir cartera
//
let botonImprimircartera = document.querySelector("#idimprimirCartera");
botonImprimircartera.addEventListener("click", function() {
    let bodega = document.getElementById("idbodegas").value;

    if(tipoimprision==0){
    window.open('admin/impresionCarteraGeneral.php?&bodega='+bodega +'');
    }else{

        window.open('admin/impresionCarteraGeneralDistri.php?&bodega='+bodega +'');
    }
  
});



//abrir modal base caja


     //funcion abrir modal pagos
   
     document.querySelector("#basecajaM").addEventListener("click",function(){

        $('#idmodalbase').modal('show');
    
       });


 // guardar base caja
 
 let botonGuardarbase=document.getElementById("GuardarBaseC");
if(botonGuardarbase){
    botonGuardarbase.addEventListener("click",()=>
    {
        let valorbase=document.getElementById("valorbaseCajaG").value;
        let bodega = document.getElementById("idbodegas").value;
        $.ajax({
            data: {
               
                "valorBase":valorbase,
                "bodega":bodega   
    
            }, //datos que se envian a traves de ajax
            url: "../controlador/config/funcionesgenerales.php", //archivo que recibe la peticion
            type: 'post', //método de envio
    
            // beforeSend: function () {
            //    alert("Procesando, espere por favor...");
            // },
            success: function(response) {
                // let respuesta = JSON.parse(response);

            alert (response)
            }
    
        });

        
    })
}


function sumarDetallesdinero() {

    // Selecciona todos los elementos con la clase 'detalleDinero'
const elementos = document.querySelectorAll('.detalleDinero');

// Inicializa una variable para almacenar la suma
let suma = 0;
let baseAnterior=$("#baseAnterior").val();
let dineroEntregar=$("#dineroEntregar").val();


let diferenci=0;
let totalMonedas=0;
let totalBilletes=0;

// Itera sobre la lista de nodos y suma sus valores
elementos.forEach(elemento => {
    // console.log(elemento)
  // Obtiene el contenido del elemento y lo convierte a número
  let valor=0;

  
  if(elemento.id=="efect1")
    {
        // aca voy valor 
    let valorr = elemento.value;
     valor=valorr.replace(/[^0-9]/g, '');

     
    
  }else{

    
    let idMoneda=parseInt(elemento.id);
    let  valorV = parseInt(elemento.value);

    console.log(idMoneda)

    if(idMoneda <=1000 && valorV>0){
        let t=valorV*idMoneda;
        totalMonedas =t+totalMonedas;

    }else{
        if(idMoneda >1000 && valorV>0){
            let t=valorV*idMoneda;
        totalBilletes =t+totalBilletes;
        }
    }

   
    valor=idMoneda*valorV;
    // document.querySelector(`.M${idMoneda}`).innerText=valor
   // Formatear el valor como moneda en pesos
   var formattedValue = new Intl.NumberFormat('es-MX', {
    style: 'currency',
    currency: 'MXN',
    minimumFractionDigits: 0,
    maximumFractionDigits: 0
}).format(valor);

// Asignar el valor formateado al elemento con la clase "M{idMoneda}"
$(`.M${idMoneda}`).text(formattedValue);


    
  }


  // Asegúrate de que el valor sea un número antes de sumarlo
  if (!isNaN(valor)) {
    suma = parseInt(suma)+ parseInt( valor);
    // console.log("valor")
   
    // console.log(valor)
    // console.log("total Suma")
    // console.log(suma)
  }

  $("#totaLmondas").val(totalMonedas)
$("#totaLBilletes").val(totalBilletes)
  
});

$("#totalSuma").val(suma)


// 

console.log('La suma total es:', suma);
    
}

function calcularDiferenciDineris(){
 
    let totalIngreso=$("#totalSuma").val().replace(/[^0-9]/g, '');
    let  baseAnterior=$("#baseAnterior").val().replace(/[^0-9]/g, '');
    let dineroEntregar=$("#dineroEntregar").val().replace(/[^0-9]/g, '');
    let  valorCuadre=$("#ttcaja").val().replace(/[^0-9]/g, '');
  

    let entrega=parseInt(totalIngreso)-parseInt(baseAnterior);
    // console.log(dineroEntregar)
    // console.log(totalIngreso)
    let nuevaBase=parseInt(totalIngreso)-parseInt(dineroEntregar)
    $("#nuevaBase").val(nuevaBase)  

    $("#diferenicaDiner").val(entrega-parseInt(valorCuadre));


    $("#cuadreefectivo").val(entrega )




}

let botonCalcularDinerocuar=document.getElementById("calcularCuadreDien");
if(botonCalcularDinerocuar){
    botonCalcularDinerocuar.addEventListener("click",function(){
        calcularDiferenciDineris();
    })
}


$(".detalleDinero").blur(function() {
    sumarDetallesdinero();
});
$(".detalleDinero").keypress(function(e) {
    if (e.which == 13) {
        sumarDetallesdinero();

    }

});

$("#dineroEntregar").blur(function() {
    sumarDetallesdinero();
});

$("#dineroEntregar").keypress(function(e) {
    if (e.which == 13) {
        sumarDetallesdinero();

    }

});

// reabrirmodalcompra



  
   let botonMoReabrir=document.querySelector("#reabrirmodalcompra")
   if(botonMoReabrir){
     botonMoReabrir.addEventListener("click",function(){

        $('#modalReabrirCompra').modal('show');
    
       });

    }
 // reabrir facturar
 
 let botonReabrirCompra=document.getElementById("ReabrirCompraR");
if(botonReabrirCompra){
    botonReabrirCompra.addEventListener("click",()=>
    {
        let facturaCampra=document.getElementById("numfactcomPraRe").value;
        let bodega = document.getElementById("idbodegas").value;
        let provedor=document.getElementById("numprovedorReabr").value;
        $.ajax({
            data: {
               
                "facturaCampraReabr":facturaCampra,
                "bodega":bodega ,
                "provedor": provedor
    
            }, //datos que se envian a traves de ajax
            url: "../controlador/config/funcionesgenerales.php", //archivo que recibe la peticion
            type: 'post', //método de envio
    
            // beforeSend: function () {
            //    alert("Procesando, espere por favor...");
            // },
            success: function(response) {
                // let respuesta = JSON.parse(response);

            alert (response)
            }
    
        });

        
    })
}